function [ max_R1,max_R2,max_L1,max_L2] = Knee_Moment(Markers,handles)

b = strfind(Markers.Labels,'LKneeMoment'); %vyhledani v Labels cisla sloupce, kde se nachaza pozadovane hodnoty
for i=1:length(b) 
    if b{i}==1
        l=i*3-2 %nastaveni nove promenne, ktera indexuje cislo sloupce, kde se nachazi pozadovane hodnoty 
    end
end

d=length(Markers.RawData(:,1)); %spocitani delky sloupcu
max_L1 = max(Markers.RawData(1:d/2,l)); %vyhledani prvniho maxima
max_L2 = max(Markers.RawData(d/2:d,l)); % %vyhledani druheho maxima       


a = strfind(Markers.Labels,'RKneeMoment'); %vyhledani v Labels cisla sloupce, kde se nachaza pozadovane hodnoty
for i=1:length(a) 
    if a{i}==1
        r=i*3-2 %nastaveni nove promenne, ktera indexuje cislo sloupce, kde se nachazi pozadovane hodnoty 
    end        
end


max_R1 = max(Markers.RawData(1:d/2,r)); %vyhledani prvniho maxima
max_R2 = max(Markers.RawData(d/2:d,r));  %vyhledani druheho maxima     
% vykresleni 2 grafu, popsani os
% figure
% subplot(2,1,1)
plot(handles.axGraphL,Markers.RawData(:,l),'r')
title(handles.axGraphL,'Left Knee Moment')
xlabel(handles.axGraphL,'Samples [N]')
ylabel(handles.axGraphL,'Moment [Nm/kg]')
% hold on
% subplot(2,1,2)
plot(handles.axGraphR,Markers.RawData(:,r),'g')
title(handles.axGraphR,'Right Knee Moment')
xlabel(handles.axGraphR,'Samples [N]')
ylabel(handles.axGraphR,'Moment [Nm/kg]')
%vyps�n� maxim
w=[max_L1,max_L2]
z=[max_R1,max_R2]

end

